> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Worksite Insurance Details



## OpenAPI

````yaml /api-reference/preview.json patch /organizations/{organization_id}/worksites/{worksite_id}/insurance-details/{insurance_details_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/worksites/{worksite_id}/insurance-details/{insurance_details_id}:
    patch:
      tags:
        - Core
        - Worksites
        - Insurance Details
      summary: Update Worksite Insurance Details
      operationId: >-
        update_worksite_insurance_details_organizations__organization_id__worksites__worksite_id__insurance_details__insurance_details_id__patch
      parameters:
        - name: worksite_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Worksite Id
        - name: insurance_details_id
          in: path
          required: true
          schema:
            type: integer
            title: Insurance Details Id
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DEWorksiteInsuranceDetailsUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/DEWorksiteInsuranceDetailsResponse'
                discriminator:
                  propertyName: insurance_country
                  mapping:
                    DE:
                      $ref: '#/components/schemas/DEWorksiteInsuranceDetailsResponse'
                title: >-
                  Response Update Worksite Insurance Details Organizations 
                  Organization Id  Worksites  Worksite Id  Insurance Details 
                  Insurance Details Id  Patch
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    DEWorksiteInsuranceDetailsUpdateRequest:
      properties:
        valid_from:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid From
        valid_to:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid To
        insurance_country:
          type: string
          const: DE
          title: Insurance Country
          default: DE
        worksite_location_number:
          anyOf:
            - type: string
              description: 'German Betriebsnummer (8 digits: xxx-yyyy-z format)'
              examples:
                - '98797889'
                - '15186676'
                - '99302952'
            - type: 'null'
          title: Worksite Location Number
        accident_insurance_company_number:
          anyOf:
            - type: string
              description: 'German Betriebsnummer (8 digits: xxx-yyyy-z format)'
              examples:
                - '98797889'
                - '15186676'
                - '99302952'
            - type: 'null'
          title: Accident Insurance Company Number
        accident_insurance_pin:
          anyOf:
            - type: string
              description: German accident insurance PIN (5 digits)
              examples:
                - '12345'
                - '56789'
                - '98765'
            - type: 'null'
          title: Accident Insurance Pin
        payroll_service_provider_number:
          anyOf:
            - type: string
              description: 'German Betriebsnummer (8 digits: xxx-yyyy-z format)'
              examples:
                - '98797889'
                - '15186676'
                - '99302952'
            - type: 'null'
          title: Payroll Service Provider Number
        payroll_processing_location_number:
          anyOf:
            - type: string
              description: 'German Betriebsnummer (8 digits: xxx-yyyy-z format)'
              examples:
                - '98797889'
                - '15186676'
                - '99302952'
            - type: 'null'
          title: Payroll Processing Location Number
      additionalProperties: true
      type: object
      title: DEWorksiteInsuranceDetailsUpdateRequest
    DEWorksiteInsuranceDetailsResponse:
      properties:
        valid_from:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid From
        valid_to:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid To
        insurance_country:
          type: string
          const: DE
          title: Insurance Country
          default: DE
        worksite_location_number:
          anyOf:
            - type: string
              pattern: ^\d{8}$
              description: 'German Betriebsnummer (8 digits: xxx-yyyy-z format)'
              examples:
                - '98797889'
                - '15186676'
                - '99302952'
            - type: 'null'
          title: Worksite Location Number
          description: 'DE: BBNRVU'
        accident_insurance_company_number:
          anyOf:
            - type: string
              pattern: ^\d{8}$
              description: 'German Betriebsnummer (8 digits: xxx-yyyy-z format)'
              examples:
                - '98797889'
                - '15186676'
                - '99302952'
            - type: 'null'
          title: Accident Insurance Company Number
          description: 'DE: BBNR UV'
        accident_insurance_pin:
          anyOf:
            - type: string
              pattern: ^\d{5}$
              description: German accident insurance PIN (5 digits)
              examples:
                - '12345'
                - '56789'
                - '98765'
            - type: 'null'
          title: Accident Insurance Pin
          description: 'DE: UV PIN'
          examples:
            - DE-WS-PIN-456
        payroll_service_provider_number:
          anyOf:
            - type: string
              pattern: ^\d{8}$
              description: 'German Betriebsnummer (8 digits: xxx-yyyy-z format)'
              examples:
                - '98797889'
                - '15186676'
                - '99302952'
            - type: 'null'
          title: Payroll Service Provider Number
          description: 'DE: BBNR AS'
        payroll_processing_location_number:
          anyOf:
            - type: string
              pattern: ^\d{8}$
              description: 'German Betriebsnummer (8 digits: xxx-yyyy-z format)'
              examples:
                - '98797889'
                - '15186676'
                - '99302952'
            - type: 'null'
          title: Payroll Processing Location Number
          description: 'DE: BBNR LB'
        id:
          type: integer
          title: Id
      additionalProperties: true
      type: object
      required:
        - id
      title: DEWorksiteInsuranceDetailsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````